User Spot fills only
curl --request GET \
--url https://api.hypedexer.com/fills/spot/user/{user_address} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hypedexer.com/fills/spot/user/{user_address}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hypedexer.com/fills/spot/user/{user_address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Fills spot for user 0x087a485d... (compact)",
"data": [
{
"user": "0x087a485d58b78a183f73d8b2402f481ade0ca762",
"coin": "@107",
"coinMeaning": "@107",
"px": 93.362,
"sz": 0.13,
"side": "B",
"time": "2026-09-19T07:11:06.088999",
"tid": 125976869809569,
"oid": 549645529176,
"hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
"fee": 0.00007734,
"feeToken": "HYPE",
"feeUsdc": 0.00722061708,
"typeTrade": "spot",
"priorityGas": null
},
{
"user": "0x087a485d58b78a183f73d8b2402f481ade0ca762",
"coin": "@107",
"coinMeaning": "@107",
"px": 93.357,
"sz": 0.13,
"side": "B",
"time": "2026-09-19T07:10:43.012999",
"tid": 153139269824999,
"oid": 549645332871,
"hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
"fee": 0.00007734,
"feeToken": "HYPE",
"feeUsdc": 0.0072202303800000004,
"typeTrade": "spot",
"priorityGas": null
}
],
"total_count": 2,
"execution_time_ms": 145.88,
"next_cursor": null,
"has_more": null
}Fills
User Spot fills only
Returns Spot fills for a specific user. Each fill includes priorityGas (priority fee paid, null if none) and block_number (Hyperliquid block number, null for older fills).
GET
/
fills
/
spot
/
user
/
{user_address}
User Spot fills only
Authorizations
Your Hypedexer API key. Create one in the console at https://app.hypedexer.com. Authorization: Bearer <key> and the api_key query parameter are accepted as well.
Headers
Path Parameters
Pattern:
^0x[0-9a-fA-F]{40}$Query Parameters
Multiple coins filter
Available options:
ASC, DESC Filter by priority gas: true = only fills with priorityGas > 0, false = only fills without, omit = no filter.